Line
Keywords: uk.ac.ic.doc.automed.gui.Line,Line class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.gui
Class Line

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.gui.Line

public class Line
extends java.lang.Object

Constructor Summary
`Line()`

Method Summary
`void` | `draw()`
`java.awt.Point` | `getEdgePosition(java.awt.Point p)`
`Line` | `setEndAggregation(boolean exist)`
`Line` | `setEndArrow(boolean exist)`
`Line` | `setFgColour(java.lang.String colour)`
`Line` | `setFontColour(java.lang.String colour)`
`Line` | `setFontName(java.lang.String name)`
`Line` | `setFontSize(int size)`
`Line` | `setFontStyle(int style)`
`Line` | `setGraphics(java.awt.Graphics g)`
`Line` | `setPoint1(java.awt.Point point1)`
`Line` | `setPoint2(java.awt.Point point2)`
`Line` | `setStartAggregation(boolean exist)`
`Line` | `setStartArrow(boolean exist)`
`Line` | `setStyle(java.lang.String style)`
`Line` | `setText(java.lang.String text)`
`Line` | `setTextLocation(java.lang.String location)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Line

    public Line()

Method Detail

### setStyle

    public Line setStyle(java.lang.String style)

### setFgColour

    public Line setFgColour(java.lang.String colour)

### setText

    public Line setText(java.lang.String text)

### setFontName

    public Line setFontName(java.lang.String name)

### setFontSize

    public Line setFontSize(int size)

### setFontStyle

    public Line setFontStyle(int style)

### setFontColour

    public Line setFontColour(java.lang.String colour)

### setTextLocation

    public Line setTextLocation(java.lang.String location)

### setPoint1

    public Line setPoint1(java.awt.Point point1)

### setPoint2

    public Line setPoint2(java.awt.Point point2)

### setStartArrow

    public Line setStartArrow(boolean exist)

### setEndArrow

    public Line setEndArrow(boolean exist)

### setStartAggregation

    public Line setStartAggregation(boolean exist)

### setEndAggregation

    public Line setEndAggregation(boolean exist)

### setGraphics

    public Line setGraphics(java.awt.Graphics g)

### getEdgePosition

    public java.awt.Point getEdgePosition(java.awt.Point p)

### draw

    public void draw()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD